Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dojo.components
Class TabbedPanel

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ClosingUIBean
                  org.apache.struts2.dojo.components.TabbedPanel

    public class TabbedPanel

extends ClosingUIBean

The tabbedpanel widget is primarily an AJAX component, where each tab can either be local content or remote content (refreshed each time the user selects that tab).

If the useSelectedTabCookie attribute is set to true, the id of the selected tab is saved in a cookie on activation. When coming back to this view, the cookie is read and the tab will be activated again, unless an actual value for the selectedTab attribute is specified. If you want to use the cookie feature, please be sure that you provide a unique id for your tabbedpanel component, since this will also be the identifying name component of the stored cookie.

Examples

<sx:head /> <sx:tabbedpanel id="test" > <sx:div id="one" label="one" theme="ajax" labelposition="top" > This is the first pane<br/> <s:form> <s:textfield name="tt" label="Test Text"/> <br/> <s:textfield name="tt2" label="Test Text2"/> </s:form> </sx:div> <sx:div id="three" label="remote" theme="ajax" href="/AjaxTest.action" > This is the remote tab </sx:div> </sx:tabbedpanel> <sx:head /> <script type="text/javascript"> dojo.event.topic.subscribe("/beforeSelect", function(event, tab, tabContainer){ event.cancel = true; }); </script> <sx:tabbedpanel id="test" beforeSelectTabNotifyTopics="/beforeSelect"> <sx:div id="three" label="remote" theme="ajax" href="/AjaxTest.action" > One Tab </sx:div> <sx:div id="three" label="remote" theme="ajax" href="/AjaxTest.action" > Another tab </sx:div> </sx:tabbedpanel>

Field Summary
`protected String` | `afterSelectTabNotifyTopics`
`protected String` | `beforeSelectTabNotifyTopics`
`protected String` | `closeButton`
`protected String` | `disabledTabCssClass`
`protected String` | `doLayout`
`protected String` | `selectedTab`
`static String` | `TEMPLATE`
`static String` | `TEMPLATE_CLOSE`
`protected String` | `templateCssPath`
`protected String` | `useSelectedTabCookie`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, requiredLabel, requiredPosition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, uiThemeExpansionToken, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, devMode, parameters, stack, standardAttributesMap, throwExceptionOnELFailure`

Constructor Summary
`TabbedPanel(com.opensymphony.xwork2.util.ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`protected void` | `evaluateExtraParams()`
`String` | `getComponentName()`
`String` | `getDefaultOpenTemplate()`
`protected String` | `getDefaultTemplate()`
`String` | `getTheme()`
`void` | `setAfterSelectTabNotifyTopics(String afterSelectTabNotifyTopics)`
`void` | `setBeforeSelectTabNotifyTopics(String selectedTabNotifyTopics)`
`void` | `setCloseButton(String closeButton)`
`void` | `setDisabledTabCssClass(String disabledTabCssClass)`
`void` | `setDoLayout(String doLayout)`
`void` | `setId(String id)`
`void` | `setSelectedTab(String selectedTab)`
`void` | `setTemplateCssPath(String templateCssPath)`
`void` | `setTheme(String theme)`
`void` | `setUseSelectedTabCookie(String useSelectedTabCookie)`

Methods inherited from class org.apache.struts2.components.ClosingUIBean
`setOpenTemplate, start`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, copyParams, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getId, getTemplate, getTemplateDir, getTooltipConfig, getValueClassType, mergeTemplate, populateComponentHtmlId, setAccesskey, setClass, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setErrorPosition, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setUIThemeExpansionToken, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, completeExpressionIfAltSyntax, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, getStandardAttributes, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setThrowExceptionsOnELFailure, setUrlHelper, stripExpressionIfAltSyntax, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE

    public static final String TEMPLATE

See Also:
  Constant Field Values

### TEMPLATE_CLOSE

    public static final String TEMPLATE_CLOSE

See Also:
  Constant Field Values

### selectedTab

    protected String selectedTab

### closeButton

    protected String closeButton

### doLayout

    protected String doLayout

### templateCssPath

    protected String templateCssPath

### beforeSelectTabNotifyTopics

    protected String beforeSelectTabNotifyTopics

### afterSelectTabNotifyTopics

    protected String afterSelectTabNotifyTopics

### disabledTabCssClass

    protected String disabledTabCssClass

### useSelectedTabCookie

    protected String useSelectedTabCookie

Constructor Detail

### TabbedPanel

    public TabbedPanel(com.opensymphony.xwork2.util.ValueStack stack,
                       javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)

Method Detail

### evaluateExtraParams

    protected void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `UIBean`

### setTheme

    public void setTheme(String theme)

  Overrides:
    `setTheme` in class `UIBean`

### getTheme

    public String getTheme()

  Overrides:
    `getTheme` in class `UIBean`

### getDefaultOpenTemplate

    public String getDefaultOpenTemplate()

  Specified by:
    `getDefaultOpenTemplate` in class `ClosingUIBean`

### getDefaultTemplate

    protected String getDefaultTemplate()

  Specified by:
    `getDefaultTemplate` in class `UIBean`

### getComponentName

    public String getComponentName()

### setId

    public void setId(String id)

  Overrides:
    `setId` in class `UIBean`

### setSelectedTab

    public void setSelectedTab(String selectedTab)

### setCloseButton

    public void setCloseButton(String closeButton)

### setDoLayout

    public void setDoLayout(String doLayout)

### setTemplateCssPath

    public void setTemplateCssPath(String templateCssPath)

### setBeforeSelectTabNotifyTopics

    public void setBeforeSelectTabNotifyTopics(String selectedTabNotifyTopics)

### setAfterSelectTabNotifyTopics

    public void setAfterSelectTabNotifyTopics(String afterSelectTabNotifyTopics)

### setDisabledTabCssClass

    public void setDisabledTabCssClass(String disabledTabCssClass)

### setUseSelectedTabCookie

    public void setUseSelectedTabCookie(String useSelectedTabCookie)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.